## org.apache.poi.xssf.eventusermodel
Interface XSSFSheetXMLHandler.SheetContentsHandler

All Known Implementing Classes:
  XSSFEventBasedExcelExtractor.SheetTextExtractor

Enclosing class:
  XSSFSheetXMLHandler

    public static interface XSSFSheetXMLHandler.SheetContentsHandler

You need to implement this to handle the results of the sheet parsing.

Method Summary
`void` `cell(java.lang.String cellReference, java.lang.String formattedValue)` A cell, with the given formatted value, was encountered
`void` `endRow()` A row with the (zero based) row number has ended
`void` `headerFooter(java.lang.String text, boolean isHeader, java.lang.String tagName)` A header or footer has been encountered
`void` `startRow(int rowNum)` A row with the (zero based) row number has started

Method Detail

### startRow

    void startRow(int rowNum)

  A row with the (zero based) row number has started

### endRow

    void endRow()

  A row with the (zero based) row number has ended

### cell

    void cell(java.lang.String cellReference,
              java.lang.String formattedValue)

  A cell, with the given formatted value, was encountered

### headerFooter

    void headerFooter(java.lang.String text,
                      boolean isHeader,
                      java.lang.String tagName)

  A header or footer has been encountered

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.